Subject: bug#4157: 23.1.50; faulty character characterisation for ä

From: Andreas Schwab <[email-masked]>
Date: Thu, 10 Oct 2019 10:15:35 +0200

On Okt 10 2019, Stefan Kangas <[email-masked]> wrote:

> LC_CTYPE=de_DE.ISO8859-15 LANG=de_DE.ISO8859-15 ./src/emacs -Q
>
> When I replace "./src/emacs -Q" with "ls -l" in terminal, I get
> strange characters for files with mtime in March.  (I tried this with
> the default Terminal.app as well as another terminal emulator called
> iterm2.)  The month name is "März" in German but when it's in the
> date, the character "ä" shows up as "?".  Meanwhile, any filenames
> with the same character displays correctly, like so:
>
> -rw-r--r--    1 skangas  staff      0 10 Okt 01:59 März
> drwxr-xr-x    3 skangas  staff     96 10 M?r  2017 foobar

You are instructing ls to use Latin-9 for formatting the date, but it
doesn't do anything with the file names it gets from the system.  So
this is expected.  You will see exactly the same behaviour on Linux.

Andreas.

-- 
Andreas Schwab, SUSE Labs, [email-masked]
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."